FLANG

Public Types | Public Member Functions | Friends | List of all members
Fortran::semantics::DerivedTypeSpec Class Reference

## Public Types
using | RawParameter = std::pair< const parser::Keyword *, ParamValue >
using | RawParameters = std::vector< RawParameter >
using | ParameterMapType = std::map< SourceName, ParamValue >

## Public Member Functions
| DerivedTypeSpec (SourceName, const Symbol &)
| DerivedTypeSpec (const DerivedTypeSpec &)
| DerivedTypeSpec (DerivedTypeSpec &&)
const SourceName & | name () const
const Symbol & | typeSymbol () const
const Scope * | scope () const
void | set_scope (const Scope &)
void | ReplaceScope (const Scope &)
RawParameters & | rawParameters ()
const ParameterMapType & | parameters () const
bool | MightBeParameterized () const
bool | IsForwardReferenced () const
bool | HasDefaultInitialization () const
void | AddRawParamValue (const std::optional< parser::Keyword > &, ParamValue &&)
void | CookParameters (evaluate::FoldingContext &)
void | EvaluateParameters (evaluate::FoldingContext &)
void | AddParamValue (SourceName, ParamValue &&)
void | Instantiate (Scope &, SemanticsContext &)
ParamValue * | FindParameter (SourceName)
const ParamValue * | FindParameter (SourceName target) const
bool | operator== (const DerivedTypeSpec &that) const
std::string | AsFortran () const

## Friends
llvm::raw_ostream & | operator<< (llvm::raw_ostream &, const DerivedTypeSpec &)

The documentation for this class was generated from the following files:

- include/flang/Semantics/type.h
- lib/Semantics/type.cpp